Skip to main content
The Journal Entries Data Model represents a running record of a company’s financial transactions used to record the debits and credits of each transaction. This unified model simplifies the management and retrieval of journal entry information across various accounting platforms.
  • Unified journal entry properties: Essential journal entry details, such as account ID, amount, currency, description, and posted date, are standardized across different accounting platforms
  • Journal entry lines: The journal_lines property includes an array of related journal lines, providing a comprehensive view of the journal entry’s constituent transactions

Attributes

Journal Entry Attributes

PropertyTypeDescription
rootfi_idintegerUnique identifier assigned by Commenda for this journal entry
rootfi_created_atstringTimestamp when this record was created in Commenda’s system (ISO 8601)
rootfi_updated_atstringTimestamp when this record was last updated in Commenda’s system (ISO 8601)
rootfi_company_idintegerCompany identifier this journal entry belongs to within Commenda
platform_idstringUnique identifier for this journal entry in the source accounting platform
platform_unique_idstringAlternative unique identifier from the platform (some platforms provide multiple IDs)
account_idstringThe account ID of the journal entry
business_unit_idstringThe business unit ID of the journal entry
amountdoubleThe total amount of the journal entry
currency_idstringThe currency ID of the journal entry
currency_ratedoubleThe currency rate of the journal entry
document_numberstringThe document number of the journal entry
journal_entry_typestringThe type of the journal entry
descriptionstringThe description of the journal entry
posted_datestringThe posted date of the journal entry
updated_atstringThe date and time the journal entry was last updated
journal_linesarrayThe journal lines of the journal entry

Expandable Attributes

Use the expand query parameter to include related objects:
  • expand=journal_lines - Includes all JournalLine objects
  • expand=currency - Includes full Currency object details
  • expand=account - Includes full Account object details

Journal Lines

The Journal Lines Data Model complements the Journal Entries Data Model, focusing on individual transactions within a journal entry.

Journal Line Attributes

PropertyTypeDescription
platform_idstringThe Platform’s ID for this journal line
journal_entry_idstringThe journal entry ID of the journal line
account_idstringThe account ID of the journal line
contact_idstringThe contact ID of the journal line
tax_idstringThe tax ID of the journal line
typeenumThe type of the journal line item
descriptionstringThe description of the journal line
net_amountdoubleThe net amount of the journal line
tax_amountdoubleThe tax amount of the journal line
tracking_category_idsarrayThe tracking category IDs of the journal line

Journal Line Type Enum Values

ValueDescription
DEBITJournal line is a debit entry
CREDITJournal line is a credit entry

Properties Supported

PropertyTypeDescription
platform_idstringThe Platform’s ID for this journal entry
account_idstringThe account ID of the journal entry
business_unit_idstringThe business unit ID of the journal entry
amountdoubleThe total amount of the journal entry
currency_idstringThe currency ID of the journal entry
currency_ratedoubleThe currency rate of the journal entry
document_numberstringThe document number of the journal entry
journal_entry_typestringThe type of the journal entry
descriptionstringThe description of the journal entry
posted_datestringThe posted date of the journal entry
journal_linesarrayThe journal lines of the journal entry
updated_atstringThe date and time the journal entry was last updated
{
  "rootfi_id": 123,
  "rootfi_created_at": "2024-01-25T09:00:00Z",
  "rootfi_updated_at": "2024-01-25T09:00:00Z",
  "rootfi_company_id": 456,
  "platform_id": "123456_1",
  "platform_unique_id": "123456",
  "account_id": "123456",
  "currency_id": "123456",
  "amount": 1234.0,
  "currency_rate": 1.0,
  "document_number": "AO-123",
  "journal_entry_type": "big_boy",
  "description": "Journal Entries For Proper Accounting",
  "posted_date": "2023-06-12T00:00:00.000Z",
  "business_unit_id": "1",
  "journal_lines": [
    {
      "platform_id": "123456",
      "journal_entry_id": "123456",
      "account_id": "123456",
      "contact_id": "123456",
      "tax_id": "123",
      "tracking_category_ids": ["123456"],
      "type": "DEBIT",
      "description": "Test Description for Journal",
      "net_amount": 5.0,
      "tax_amount": null
    }
  ],
  "updated_at": "2023-11-05T00:00:00.000Z"
}